net.minecraft.command

## Class CommandHelp

- java.lang.Object
- - net.minecraft.command.CommandBase
  - - net.minecraft.command.CommandHelp

- All Implemented Interfaces:
    Comparable, ICommand

      public class CommandHelp
      extends CommandBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandHelp()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getCommandAliases()`
    `String` | `getCommandName()`
    `String` | `getCommandUsage(ICommandSender par1ICommandSender)`
    `int` | `getRequiredPermissionLevel()` Return the required permission level for this command.
    `void` | `processCommand(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)`

    - ### Methods inherited from class net.minecraft.command.CommandBase

      `addTabCompletionOptions, canCommandSenderUseCommand, compareTo, compareTo, doesStringStartWith, func_82359_c, func_82360_a, func_82361_a, func_96332_d, func_96333_a, getCommandSenderAsPlayer, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, isUsernameIndex, joinNiceString, notifyAdmins, notifyAdmins, parseDouble, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandHelp

          public CommandHelp()

  - ### Method Detail

    - #### getCommandName

          public String getCommandName()

    - #### getRequiredPermissionLevel

          public int getRequiredPermissionLevel()

      Return the required permission level for this command.
      Overrides:
        `getRequiredPermissionLevel` in class `CommandBase`

    - #### getCommandUsage

          public String getCommandUsage(ICommandSender par1ICommandSender)

      Specified by:
        `getCommandUsage` in interface `ICommand`
      Overrides:
        `getCommandUsage` in class `CommandBase`

    - #### getCommandAliases

          public List getCommandAliases()

      Specified by:
        `getCommandAliases` in interface `ICommand`
      Overrides:
        `getCommandAliases` in class `CommandBase`

    - #### processCommand

          public void processCommand(ICommandSender par1ICommandSender,
                            String[] par2ArrayOfStr)